Subject: [urn] Discussions about what is wrong with/ needs to be fixed in 3986

From: John C Klensin <[email-masked]>
Date: Thu, 30 Oct 2014 20:10:37 -0400

Andy,

This is a formal and public request to you as Chair.

Would you please rule discussions of what, specifically, is
wrong with 3986 or needs to be fixed in it, out of scope and
indicate that you will revoke posting rights for anyone who
persists in that discussion.  The obvious exception would be
something that strictly and narrowly affects the relationship
between URN syntax and generic URI syntax.

The result of those continued discussions is that people are
being driven off the mailing list and out of the WG who really
need URNs and have positions based on real requirements and
experience.  Not only is that bad in itself, but we risk being
unable to develop real consensus because those who continue in
the discussion will have won by exhausting anyone who disagrees
with them.

I note that neither "revise 3986" nor "produce a consensus list
of where 3986 needs attention" have ever been part of this WG's
charter.

You've already made a consensus call in this, I've seen no
objections to the consensus call, and the discussions,
challenges to be specific, arguments that some position isn't
real, etc., are just adding noise and reducing the chances of
focused discussions that would move us forward.

If we can't put a stop to this, I suggest it is time to give up
and shut down.

regards,
   john

---

From: "Martin J. Dürst" <[email-masked]>
Date: Fri, 31 Oct 2014 10:28:18 +0900

Hello Andy,

I agree that discussion of RFC 3986 in general (except where it relates 
to URNs) should be off topic for this mailing list/group.

However, I'd want to make sure that this also includes blanket 
statements as to "RFC 3986 being (fundamentally or whatever) broken".

It wouldn't be appropriate if blanket criticism were okay, but any kind 
of defense were off-list.

Regards,   Martin.

On 2014/10/31 09:10, John C Klensin wrote:
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
>

---

From: Keith Moore <[email-masked]>
Date: Thu, 30 Oct 2014 22:12:04 -0400

On 10/30/2014 09:28 PM, "Martin J. Dürst" wrote:
> I agree that discussion of RFC 3986 in general (except where it 
> relates to URNs) should be off topic for this mailing list/group.
>
> It wouldn't be appropriate if blanket criticism were okay, but any 
> kind of defense were off-list.

Right, so make the biggest problem that this group faces out-of-scope.   
That's an awesome way to make the group irrelevant.

Keith

---

From: Keith Moore <[email-masked]>
Date: Thu, 30 Oct 2014 22:27:37 -0400

Andy,

I have an alternate formal and public request to you as Chair.

Would you please petition IESG to amend this group's charter to 
explicitly permit it to take exception to RFC 3986 where URNs are 
concerned?   It should be evident that the group is spinning its wheels 
largely because it is trying to reconcile the language in RFC 3986 with 
the actual needs of URNs, and that RFC 3986 has created confusion about 
the usage of URNs that did not exist (or at least was not nearly as 
significant) before RFC 3986 was published.

Note that my request and John's are not mutually exclusive - the 
discussion could be ruled out-of-scope prior to a decision from IESG.   
But it would be nice to get ruling from IESG before Hawaii.   And IMO if 
the IESG doesn't say yes, the group should probably just shut down.

Keith

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Thu, 30 Oct 2014 20:30:52 -0600

> That's an awesome way to make the group irrelevant.

Discouraging and sarcastic statements like that don't help, Keith.

We've got some folks here trying hard to cut the Gordian Knot and finish 
the URN (not URI) work in a way that enables us to declare some measure 
of success, while leaving work on specific NIDs up to groups that 
include the relevant subject-matter experts (who are clearly *not* 
involved here and never will be).

We're not here to fix RFC 3986, if it needs fixing in the first place. I 
am completely agnostic on that topic. I just want to finish the URN 
updates so that we can close this WG and let other folks get on with 
work in their own domains (information sciences etc.).

Peter

-- 
Peter Saint-Andre
https://andyet.com/

---

From: Keith Moore <[email-masked]>
Date: Thu, 30 Oct 2014 22:34:14 -0400

> Discouraging and sarcastic statements like that don't help, Keith.

Sorry to be discouraging and sarcastic, but I think it's both succinct 
and accurate.

> We've got some folks here trying hard to cut the Gordian Knot and 
> finish the URN (not URI) work in a way that enables us to declare some 
> measure of success, while leaving work on specific NIDs up to groups 
> that include the relevant subject-matter experts (who are clearly 
> *not* involved here and never will be).

That, to my mind, is not success, it is failure.   It is throwing in the 
towel at trying to facilitate uniform treatment of URNs in software.

> We're not here to fix RFC 3986, if it needs fixing in the first place.

I would agree with you about that, were it not extremely evident that 
the belief that we need to adhere to RFC 3986 is blocking progress.

Keith

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Thu, 30 Oct 2014 20:33:50 -0600

> the IESG doesn't say yes, the group should probably just shut down.

Why do we need to expand the scope of work here? If anything I think we 
need to narrow it, by explicitly leaving 3986 out of scope.

If folks want to update 3986, it would be best to charter a WG 
specifically for that work - not saddle the URNBIS WG with that 
Herculean task.

I'll note that 2141bis does not, and need not, update 3986. All it does 
is replace 2141.

Peter

-- 
Peter Saint-Andre
https://andyet.com/

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Thu, 30 Oct 2014 20:38:07 -0600

> towel at trying to facilitate uniform treatment of URNs in software.

I think we have discovered that we simply don't have the right people in 
the room to achieve that goal. Personally, I would rather reach an 
achievable goal than to set the bar so high that it cannot be achieved. 
That, to me, is setting ourselves up for inevitable failure.

Now, maybe I have too much time invested here to admit that we need to 
ignore the sunk costs and declare failure right now. But I think that 
would be a disservice to the URN community, even if most of the URN 
users aren't actively engaged here.

> the belief that we need to adhere to RFC 3986 is blocking progress.

But I think we have given up that belief. Or at least a significant 
portion of the folks here have done so.

Peter

-- 
Peter Saint-Andre
https://andyet.com/

---

From: Keith Moore <[email-masked]>
Date: Thu, 30 Oct 2014 22:41:33 -0400

On 10/30/2014 10:33 PM, Peter Saint-Andre - &yet wrote:
> Why do we need to expand the scope of work here? If anything I think 
> we need to narrow it, by explicitly leaving 3986 out of scope. 

To be clear, I don't want the group to undertake the task of revising 
3986.  I just want IESG to make it clear that the group can explicitly 
override it where URNs are concerned, and where there are good reasons 
to do so.   I think this will actually help URNBIS to get useful work done.

Keith

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Thu, 30 Oct 2014 20:45:03 -0600

> to do so.   I think this will actually help URNBIS to get useful work done.

Ah, I see. Maybe that would indeed help, although getting the IESG to 
bless a recharter will itself take time that perhaps could be better 
spent doing the work. Those efforts could happen in parallel, though.

This sounds like something the chair(s) and AD(s) might want to discuss 
at IETF 91. I won't be there, myself, but perhaps some in-person 
discussions would be productive...

Peter

-- 
Peter Saint-Andre
https://andyet.com/

---

From: Keith Moore <[email-masked]>
Date: Thu, 30 Oct 2014 22:44:59 -0400

On 10/30/2014 10:38 PM, Peter Saint-Andre - &yet wrote:
> I think we have discovered that we simply don't have the right people 
> in the room to achieve that goal. Personally, I would rather reach an 
> achievable goal than to set the bar so high that it cannot be 
> achieved. That, to me, is setting ourselves up for inevitable failure.

The problem with your "achievable goal" is that it likely precludes 
anyone ever facilitating uniform treatment of URNs in software.

Just because we might manage to publish some RFCs doesn't necessarily 
mean we're improving things.

> portion of the folks here have done so.

Well, maybe I've misread the sense of the group, but to me there seem to 
be several people still holding on to it.

Keith

---

From: John C Klensin <[email-masked]>
Date: Fri, 31 Oct 2014 11:03:04 -0400

(Combining responses.
Apologies for not responding to the earlier notes -- I'm in a
time zone convenient only to Martin among those who have
responded and it has been a very long day.)

--On Friday, 31 October, 2014 10:28 +0900 "\"Martin J. Dürst\""
<[email-masked]> wrote:

>...

That is certainly consistent with my intent.

--On Thursday, 30 October, 2014 22:27 -0400 Keith Moore
<[email-masked]> wrote:

> Would you please petition IESG to amend this group's charter
> to explicitly permit it to take exception to RFC 3986 where
> URNs are concerned? 

Both the now-obsolete "URNs are not URIs" draft and the current
(to be updated as soon as I can find cycles, probably the first
half of next week) "Semantics clarification" drafts were written
with exactly that "take exception" intent.  Barry (and sometimes
Pete as well) has been in the loop on both.  With one
qualification, I don't see any reason why "petitioning the IESG"
is needed.  

Those drafts have the general character of "aspects of 3986 that
interfere, or are claimed to interfere, with this WG redefining
URNs to meet the requirements it sees and the design it
concludes it should adopt, just don't count and are irrelevant.

Now it seems quite obvious to me that there is another possible
approach, which it to make URNBIS the battleground for a
full-scale attack on (and defense of) 3986bis, even with a
"can't move forward with URNs until the alleged issues are
definitively settled".   That is a war that I (and Peter, and
others) are clearly trying to avoid, even if only because it is
clear to me that such a war would either never reach consensus
or would take sufficiently long to do so to render any future
work on URNs irrelevant.  FWIW, changing the URNBIS WG into
3986BIS, whether the name were changed or not, would clearly (at
least IMO) require community review and IESG agreement.

>  It should be evident that the group is
> spinning its wheels largely because it is trying to reconcile
> the language in RFC 3986 with the actual needs of URNs, and
> that RFC 3986 has created confusion about the usage of URNs
> that did not exist (or at least was not nearly as significant)
> before RFC 3986 was published.

While I agree with the "spinning the wheels" part of the above,
I don't seem much effort to reconcile anything going on, only
often aggressive assertions and counter-assertions about 3986
and the constraints it imposes.  But I also belief that the WG
has agreed to bypass the issue, that a consensus call has been
made and not contested, and that the topic is now irrelevant to
the WG's efforts.

--On Thursday, 30 October, 2014 22:34 -0400 Keith Moore
<[email-masked]> wrote:

>> We've got some folks here trying hard to cut the Gordian Knot
>> and  finish the URN (not URI) work in a way that enables us
>> to declare some  measure of success, while leaving work on
>> specific NIDs up to groups  that include the relevant
>> subject-matter experts (who are clearly  *not* involved here
>> and never will be).
> 
> That, to my mind, is not success, it is failure.   It is
> throwing in the towel at trying to facilitate uniform
> treatment of URNs in software.

That is _not_ about 3986 and is a discussion I think the WG
needs to have an either come to consensus on or give up.  From
my point of view (and I think Peter's and Juha's), there are
three ways to give up on this ("throw in the towel"):

(1) We give up, advise Barry and the IESG that there is no hope
of the WG reaching consensus on anything that would allow
progress, and recommend that the WG be shut down and, by
extension, the IETF abandon URNs (or at least URNs beyond 2141
with the potential for continuing questions of whether 2141
conforms sufficiently to 3986 to be anything but Historic
whether officially reclassified or not).

(2) We adopt a strategy of insisting that all URNs behave the
same way wrt p/q/f-components and probably resolution.
Attractive as that might seem, there are two problems with it:
It clear to me that we will never reach consensus about what
that behavior will be, largely because different communities
appear to have very different (real or perceived) needs.

In either case, the result is that communities who are convinced
they need URNs will go their own way.  That would permit the
IETF to feel righteous about preserving its architectural
principles, morals, etc. (although there will still be a debate
about 3896 and architectural principles) but at the cost of (i)
being able to lay out any sort of common framework for URNs,
however general and (ii) begin able to have a well-structured
registry that encourages good descriptions and helps avoid name
collisions.  I think those two considerations are sufficient to
justify our staying in the game rather than symbolically falling
on our architecturally-pure and aesthetic swords.  YMMD.

--On Thursday, 30 October, 2014 22:44 -0400 Keith Moore
<[email-masked]> wrote:

>> I think we have discovered that we simply don't have the
>> right people  in the room to achieve that goal.

And I would add (again) that our behavior pattern has been quite
effective in driving some of the "right people" away.

>> Personally, I
>> would rather reach an  achievable goal than to set the bar so
>> high that it cannot be  achieved. That, to me, is setting
>> ourselves up for inevitable failure.
> 
> The problem with your "achievable goal" is that it likely
> precludes anyone ever facilitating uniform treatment of URNs
> in software.

Yes, it probably does.  It does not, however, preclude it nearly
as well or efficiently as our giving up (or continuing to debate
this forever) and having other groups define URNs (perhaps all
URNs, consistently) according to their views about what the
needs are and what is important, yielding multiple,
contradictory, standards.  

There is another strategy we could adopt and it reflects some
remarks made in Toronto:

(1) We abandon URNs and the concept of a single, persistent-name
identifier.  Maybe we deprecate 2141 and maybe we don't.

(2) We tell every community that wants something URN-ish that
they need to define a new URI type with a scheme that is tied to
either the particular type of identifier and namespace
(effectively promoting NIDs to schemes) or to the community. 

Of course, (2) would require every new scheme to fight the 3986
battles, to the degree to which they were relevant, on their
own.  That would require a true commitment to the IETF as the
preferred standards body, a commitment that dominated any desire
to get work done.  And it is likely that many of those outside
bodies, especially those who have already deployed identifiers
using URN syntax, would simply ignore us and go do their thing.

That just makes the above strategy another way to fail
completely.

> Just because we might manage to publish some RFCs doesn't
> necessarily mean we're improving things.

Just because we have the ability to stand on some soapbox and
say "it isn't a URN unless we say it is a URN",  "you are
forbidden to call something a URN or use the 'urn:' scheme
unless we say it is ok", and/or "you cannot use a URN that way"
doesn't mean anyone will pay attention to us.  It is pretty
clear to me that, if they don't, we are adding to the confusion
rather than improving things.

> Well, maybe I've misread the sense of the group, but to me
> there seem to be several people still holding on to it.

I saw a consensus call/statement from the Chair a while back,
one that no one has contested.  It was on that basis that I
asked him to shut down the 3986 discussions that you seem to
want to see continue.

     john